package com.sl.u_push_plugin_example

import android.util.Log
import com.sl.u_push_plugin.OtherPlatformBuilder
import com.sl.u_push_plugin.PushManager
import com.sl.u_push_plugin.Tag
import io.flutter.app.FlutterApplication

class RApplication : FlutterApplication() {
    override fun onCreate() {
        super.onCreate()
        PushManager.instance.initUPush(this, "5f88fa2b80455950e4aba2fe", "083c504fdd24097f38d67a4d514937c9")
        OtherPlatformBuilder.Builder(this)
                .initHuawei()
                .initMeiZu("", "")
                .initOppo("", "")
                .initVivo()
                .initXiaoMi("", "")
                .build().register()
    }
}